﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using FaceSharp.Api;
using FaceSharp.Api.Types;

namespace FaceSharp.MVC.Tests.Code
{
    public class FacebookCore : IFacebookCore
    {
        private readonly string _applicationId;
        private readonly string _applicationSecret;
        private readonly string _applicationUrl;
        private readonly string _extendedPermissions;

        public string ApplicationId { get { return _applicationId; } }
        public string ApplicationSecret { get { return _applicationSecret; } }
        public string ApplicationUrl { get { return _applicationUrl; } }
        public string ExtendedPermissions { get { return _extendedPermissions; } }

        public FacebookCore()
        {
            _applicationId = ConfigurationManager.AppSettings["ApplicationId"];
            _applicationSecret = ConfigurationManager.AppSettings["ApplicationSecret"];
            _applicationUrl = ConfigurationManager.AppSettings["ApplicationUrl"];
            _extendedPermissions = ConfigurationManager.AppSettings["ExtendedPermissions"];

        }

        public FaceSharp.Api.Types.User CurrentUser { get; set; }
        public string Code { get; set; }
        public string AccessToken { get; set; }
        public DateTime? AccessTokenExpirationDate { get; set; }
        public SignedRequest SignedRequest { get; set; }
    }

}
