﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Areas/FacebookApp/Views/Shared/FacebookApp.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="FaceSharp.Api.Types" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">Feed Publish</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <div id="breadcrumb"><%=Html.ActionLink("Back to Test Suite", "Index")%></div>

    <h2>FeedPublish</h2>

    <h3>FeedPublish - To Self</h3>
    <section class="example">
        <% using(Html.BeginForm("FeedPublishExecute","Test",FormMethod.Post)){ %>
            <label for="MessageSelf">Your Message:</label>
            <textarea id="MessageSelf" name="Message" cols="50" rows="4"></textarea>

            <input class="button" type="submit" value="Post to My Profile" />
        <% } %>
    </section>

    <h3>FeedPublish - To Self (with Flash)</h3>
    <section class="example">
        <% using(Html.BeginForm("FeedPublishFlashExecute","Test",FormMethod.Post)){ %>
            <label for="MessageFlash">Your Message:</label>
            <textarea id="MessageFlash" name="Message" cols="50" rows="4"></textarea>

            <input class="button" type="submit" value="Post to My Profile" />
        <% } %>
    </section>
    
    <h3>FeedPublish - To Friend (with Flash)</h3>
    <section class="example">
        <% using(Html.BeginForm("FeedPublishFlashFriendExecute","Test",FormMethod.Post)){ %>
            <label for="ToUserId">Select a Friend:</label>
            <select name="ToUserId">
                <% foreach (var user in (IList<User>)Model) { %>
                <option value="<%= user.Id %>"><%= user.Name %></option>
                <% } %>
            </select>
            <label for="MessageFlash">Your Message:</label>
            <textarea id="Textarea1" name="Message" cols="50" rows="4"></textarea>

            <input class="button" type="submit" value="Post to My Profile" />
        <% } %>
    </section>


    <h3>FeedPublish - To Page Wall</h3>
    <section class="example">
        <% if((bool)ViewData["LikesApp"]){ %> 
            <p><strong>Thank you for liking the App!</strong></p>

            <% using(Html.BeginForm("FeedPublishExecute","Test",FormMethod.Post)){ %>
                <label for="MessagePage">Your Message:</label>
                <textarea id="MessagePage" name="Message" cols="50" rows="4"></textarea>

                <input type="hidden" id="ToUserId" name="ToUserId" value="<% =ViewData["ApplicationId"] %>" />
                <input class="button" type="submit" value="Post to the Application's Wall" />
            <% } %>

        <% }else{  %>
            <p>You must like the app before you can post to the fan page.</p>
            <fb:like href="http://www.facebook.com/apps/application.php?id=<% =ViewData["ApplicationId"] %>"></fb:like>
        <% } %>
    </section>

    <h3>FeedPublish - To Friend Wall</h3>
    <section class="example">
        <% using(Html.BeginForm("FeedPublishExecute","Test",FormMethod.Post)){ %>
            <label for="ToUserId">Select a Friend:</label>
            <select name="ToUserId">
                <% foreach (var user in (IList<User>)Model) { %>
                <option value="<%= user.Id %>"><%= user.Name %></option>
                <% } %>
            </select>

            <label for="MessageFriend">Your Message:</label>
            <textarea id="MessageFriend" name="Message" cols="50" rows="4"></textarea>

            <input class="button" type="submit" value="Post to My Profile" />
        <% } %>
    </section>

    <h3>FeedPublish - To Friend Wall (Multi-Friend Modal Style)</h3>
    <section class="example">
        <p><a id="link-fbms" href="#">Post a message to your friends' walls.</a></p>
        <% Html.RenderPartial("FbMultiShare"); %>
    </section>

    <h3>FeedPublish - To Friend Wall (Friends Autocomplete)</h3>
    <section class="example">
        <p>Type your friend's name:</p>
        <div id="friends-autocomplete">
            <input type="text" value="" />
            <a id="send" href="#">Send</a>
        </div>
    </section>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeaderContent" runat="server">
    <link rel="stylesheet" href="<%= ViewData["SiteRootUrl"] %>/areas/facebookapp/styles/multi-share.css">
    <link rel="stylesheet" href="<%= ViewData["SiteRootUrl"] %>/areas/facebookapp/styles/friends-autocomplete.css">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="PageBottomContent" runat="server">
    <script src="<%= ViewData["SiteRootUrl"] %>/scripts/jquery.tmpl.min.js?v=<%= Guid.NewGuid() %>"></script>
    <script src="<%= ViewData["SiteRootUrl"] %>/scripts/jquery.FbMultiShare.js?v=<%= Guid.NewGuid() %>"></script>
    <script src="<%= ViewData["SiteRootUrl"] %>/areas/facebookapp/scripts/Facebook.MultiShare.js?v=<%= Guid.NewGuid() %>"></script>
    <script src="<%= ViewData["SiteRootUrl"] %>/areas/facebookapp/scripts/Facebook.WallPost.js?v=<%= Guid.NewGuid() %>"></script>
    <script src="<%= ViewData["SiteRootUrl"] %>/areas/facebookapp/scripts/Facebook.FriendsAutocomplete.js?v=<%= Guid.NewGuid() %>"></script>
</asp:Content>

<asp:Content ID="Content5" ContentPlaceHolderID="PageSpecificJsDomReadyMethods" runat="server">
    $(document).bind('FB:ready', function(){
        var multiShareSettings = {
            name: 'Customizable wall link text'
            , link: Facebook.Config.FbApplicationUrl
            , picture: Facebook.Config.SiteUrl + '/areas/facebookapp/images/logo-facesharp.gif'
            , caption: 'Customizable caption'
            , description: 'Customizable description'
        };
        new Facebook.MultiShare({showLink: $('#link-fbms'), hideLink: $('.fbms-cancel'), fbSettings: multiShareSettings});

        var wallPostSettings = {
            trigger: $('a#send')
            , user: $('#friends-autocomplete input')
            , name: 'Customizable wall link text'
            , link: Facebook.Config.FbApplicationUrl
            , picture: Facebook.Config.SiteUrl + '/areas/facebookapp/images/logo-facesharp.gif'
            , caption: 'Customizable caption'
            , description: 'Customizable description'
            , message: ''
            , properties: {'customizable 1': 'this can be text', ' ': 'this can be text or a link with no leading copy', 'customizable 3': {'text': 'this can be a link', 'href': 'http://www.covergirl.com/'}, 'customizable 4': 'more text', 'customizable 5': 'final text'}
	        , actions: [{name: 'Facebook App', link: Facebook.Config.FbApplicationUrl}]
        };
        new Facebook.FriendsAutocomplete({minLength: 0});
        new Facebook.WallPost(wallPostSettings);
    });
</asp:Content>

<asp:Content ID="Content6" ContentPlaceHolderID="PageSpecificJs" runat="server">
</asp:Content>