﻿/// <reference path="jquery-1.5-vsdoc.js"/>

/*
 **********************************************************************************
 *  Global calls
 **********************************************************************************
 */
(function()
{
    /*
     *  Fix IE background image flicker (from http://www.mister-pixel.com/)
     */
    try
    {
	    document.execCommand('BackgroundImageCache', false, true);
    }
    catch(e) {}
	
	/*
     *  The .bind method from Prototype.js
     */
	if (!Function.prototype.bind) // check if native implementation available
	{
		Function.prototype.bind = function() {
			var fn = this, args = Array.prototype.slice.call(arguments), object = args.shift(); 
			return function()
			{ 
				return fn.apply(object, args.concat(Array.prototype.slice.call(arguments))); 
			}; 
		};
	}
})();

/**
**********************************************************************************
*   Facebook Configuration
**********************************************************************************
*/
window.fbAsyncInit = function () {
    FB.init({
        appId: Facebook.Config.FbApplicationId,
        status: true, // check login status
        cookie: true, // enable cookies to allow the server to access the session
        xfbml: true // parse XFBML
    });

    FB.getLoginStatus(function (response) {
        if (response.session || Facebook.Config.IsUnauthenticated) {
            $(document).trigger('FB:ready'); // fire custom event when Facebook API is ready for interaction
        }
    });

    $(window).load(function () {
        $(document).trigger('Canvas:resize');
        FB.Canvas.setAutoResize();
    });

    FB.Canvas.scrollTo(0,0); // force page to scroll to top
};
(function () {
    var e = document.createElement('script'); e.async = true;
    e.src = document.location.protocol + '//connect.facebook.net/en_US/all.js';
    document.getElementById('fb-root').appendChild(e);
}());

/**
**********************************************************************************
*   Log
*   usage: log('inside coolFunc',this,arguments);
*   paulirish.com/2009/log-a-lightweight-wrapper-for-consolelog/
**********************************************************************************
*/
window.log = function() {
    log.history = log.history || []; // store logs to an array for reference
    log.history.push(arguments);
    if (this.console) console.log(Array.prototype.slice.call(arguments));
};

/**
**********************************************************************************
*   catch all document.write() calls
**********************************************************************************
*/ 
(function(doc) {
    var write = doc.write;
    doc.write = function(q) {
        log('document.write(): ',arguments); 
        if (/docwriteregexwhitelist/.test(q)) write.apply(doc,arguments);  
    };
})(document);

/**
**********************************************************************************
*   Facebook.Canvas
*   Handles resizing FB iframe by:
*       listening for custom events
*       calling FB.Canvas.setSize/FB.Canvas.setAutoResize
**********************************************************************************
*/
Facebook.Canvas = function() {
    this.init(); // constructor call
};
Facebook.Canvas.prototype = {
    // constructor
    init: function()
    {
        // DOM element cache
        this.body = $('body');
        
        // setup methods
        this.attachEvents();
    },

    attachEvents: function()
    {
        // global listeners
        $(document).bind('Canvas:resize', this.setCanvasHeight.bind(this));
        $(document).bind('Canvas:resizeStart', this.startCanvasAutoResize.bind(this));
        $(document).bind('Canvas:resizeStop', this.stopCanvasAutoResize.bind(this));
    },

    setCanvasHeight: function()
    {
        FB.Canvas.setSize({height: this.body.height()});
    },

    startCanvasAutoResize: function()
    {
        FB.Canvas.setAutoResize();
    },

    stopCanvasAutoResize: function()
    {
        FB.Canvas.setAutoResize(false);
    }
};

/**
**********************************************************************************
*   methods to run on DOM ready for every page
*   page specific JS methods are instantiated on individual pages
**********************************************************************************
*/
(function($){
    new Facebook.Canvas();
})(this.jQuery);