﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Web;
using FaceSharp.Api.RestApi;

namespace FaceSharp.Api.Objects
{
    public class Notifications : RestBase
    {
        public Notifications(IFacebookCore facebookCore) : base(facebookCore)
        {
        }

        public void SendEmail(string recipients, string subject, string text, string fbml)
        {
            Trace.Write("Begin Request", "GraphApi.NotificationsSendEmail");
            var results = MakeRestRequest("notifications.sendEmail", new Dictionary<string, string>()
                                                           {
                                                               {"recipients", recipients},
                                                               {"subject", subject},
                                                               {"text", text},
                                                               {"fbml", fbml}
                                                           });
            Trace.Write("results: " + results, "GraphApi.NotificationsSendEmail");
            Trace.Write("End Request", "GraphApi.NotificationsSendEmail");
        }
    }
}