﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Newtonsoft.Json;

namespace FaceSharp.Api.Types
{
    public class Event
    {
        public long Id { get; set; }
        public OwnerData Owner { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        [JsonProperty(PropertyName = "start_time")]
        public DateTime? StartTime { get; set; }
        [JsonProperty(PropertyName = "start_time")]
        public DateTime? EndTime { get; set; }
        public string Location { get; set; }
        public VenueData Venue { get; set; }
        public string Privacy { get; set; }
        [JsonProperty(PropertyName = "updated_time")]
        public DateTime? UpdatedTime { get; set; }
        [JsonProperty(PropertyName = "rsvp_status")]
        public string RSVPStatus { get; set; }

        public class OwnerData
        {
            public string Name { get; set; }
            public long Id { get; set; }
        }

        public class VenueData
        {
            public string Street { get; set; }
            public string City { get; set; }
            public string State { get; set; }
            public string Zip { get; set; }
            public string Country { get; set; }
            public string Latitude { get; set; }
            public string Longitude { get; set; }
        }
    }
}
