﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Newtonsoft.Json;

namespace FaceSharp.Api.Types
{
    public class LinkType
    {
        public long Id { get; set; }
        public FromData From { get; set; }
        public string Name { get; set; }
        public string Caption { get; set; }
        public string Description { get; set; }
        public string Link { get; set; }
        public string Icon { get; set; }
        public string Picture { get; set; }
        public string Message { get; set; }
        [JsonProperty(PropertyName = "created_time")]
        public DateTime? CreatedTime { get; set; }
        public CommentDataContainer Comments { get; set; }

        public class FromData
        {
            public long Id { get; set; }
            public string Name { get; set; }
        }
        
        public class CommentDataContainer
        {
            public IList<CommentData> Data { get; set; }
            public class CommentData
            {
                public string Id { get; set; }
                public FromData From { get; set; }
                public string Message { get; set; }
                public string CreatedTime { get; set; }
            }
        }
    }
}
